haskell-uulib (0.9.16-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:54:42 +0200

haskell-uulib (0.9.16-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release
  * Use standard substvars

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 13:28:22 +0100

haskell-uulib (0.9.15-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:24 +0200

haskell-uulib (0.9.15-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Apr 2013 09:46:38 +0200

haskell-uulib (0.9.14-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:22 +0200

haskell-uulib (0.9.14-2) unstable; urgency=low

  * Rename .examples file to new -doc package name 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 22:55:14 +0200

haskell-uulib (0.9.14-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 18:38:58 +0100

haskell-uulib (0.9.13-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Jun 2011 00:54:17 +0200

haskell-uulib (0.9.10-4) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Iain Lane <laney@ubuntu.com>  Wed, 18 May 2011 11:22:53 +0100

haskell-uulib (0.9.10-3) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 18:01:54 -0300

haskell-uulib (0.9.10-2) unstable; urgency=low

  * debian/source/format: Use 3.0 (quilt).
  * debian/control: Rename -doc package.
  * debian/control: Uploaders: create.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 16 Mar 2010 10:59:49 -0300

haskell-uulib (0.9.10-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Use Debian Haskell Group as Maintainer.
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/control: Change Section: to haskell.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Split dependencies in more than one line.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

  [ Marco Túlio Gontijo e Silva ]
  * Use debian/compat 7.

  [ Joachim Breitner ]
  * Remove hugs package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 16:13:29 +0100

haskell-uulib (0.9.10-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Move everything to Build-Depends, to work around cdbs vs. buildds
    closes: #523591 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Jul 2009 12:08:15 +0200

haskell-uulib (0.9.10-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream version.  Closes: #523214.
  * Use new version of haskell-devscripts.
  * debian/control:
    - Use new Standards-Version.
    - cpphs is not Indep.
  * debian/patches: Remove directory.
  * debian/haskell-uulib-doc.doc-base: haddock's file are stored now in
    /usr/share/libghc6-uulib-doc/html/.
  * debian/haskell-uulib-doc.examples: Create file.

 -- Marco Túlio Gontijo e Silva <marcot@holoscopio.com>  Wed, 08 Apr 2009 20:01:10 -0300

haskell-uulib (0.9.5-5) unstable; urgency=high

  * debian/rules: 
    - Call dh_haskell_prep in the install-arch target to make sure the
      necessary postinst and prerm scriptlets are generated. 
      (Closes: #479946)
  * debian/libhugs-uulib.{install,linda-overrides}: 
    - Removed as lintian says than linda is obsolete.

 -- Arjan Oosting <arjan@debian.org>  Wed, 07 May 2008 17:08:44 +0200

haskell-uulib (0.9.5-4) unstable; urgency=low

  * Also split configure-stamp. (Really closes: #478899)

 -- Arjan Oosting <arjan@debian.org>  Thu, 01 May 2008 20:40:43 +0200

haskell-uulib (0.9.5-3) unstable; urgency=low

  * debian/rules:
    - split-objs was not enabled in the previous upload as it breaks the
      profiling build
    - Split build-stamp target in a build-arch-stamp and a
      build-indep-stamp so the build daemons do not try to build the
      architecture independent stuff. (Closes: #478899)

 -- Arjan Oosting <arjan@debian.org>  Thu, 01 May 2008 19:35:30 +0200

haskell-uulib (0.9.5-2) unstable; urgency=low

  * configure: removed this cruft.
  * debian/control:
    - Bump build dependency on haskell-devscripts to 0.6.12 which enables
      us to passing through disable-optimization to ./setup configure.
    - Let the Vcs-* fields point to the trunk
  * debian/haskell-uulib-doc.doc-base:
    - Change the section from Apps/Programming to Programming/Haskell.
  * debian/rules:
    - Build the library without optimization on arm.
    - Enable split-objs on i386 and amd64.

 -- Arjan Oosting <arjan@debian.org>  Thu, 01 May 2008 14:45:51 +0200

haskell-uulib (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Use hackage.haskell.org as site for new upstream
    releases. (Closes: #456480)
  * debian/patches/01_update-cabal-file.dpatch: Removed. The cabal file is
    fixed upstream for the new Cabal version.
  * debian/rules:
    - Don't call ./configure during build and don't remove the Cabal file
      on clean.
  
 -- Arjan Oosting <arjan@debian.org>  Sat, 19 Jan 2008 20:41:34 +0100

haskell-uulib (0.9.3~snapshot20071230-3) unstable; urgency=low

  * debian/control:
    - Bump build dependency on GHC to >= 6.8.2  because the package now
      needs a Cabal version >= 1.2.
    - Change the section of libghc6-uulib-dev and libghc6-uulib-prof to
      fix lintian warning "dev-package-should-be-section-libdevel"
  * debian/haskell-uulib-doc.doc-base:
    - Update paths which were changed due to the new Cabal version

 -- Arjan Oosting <arjan@debian.org>  Sun, 13 Jan 2008 07:33:06 +0100

haskell-uulib (0.9.3~snapshot20071230-2) unstable; urgency=low

  * Update for GHC 6.8.3:
    - Added debian/patches/01_update-cabal-file.dpatch: Adds
      ExistentialQuantification to thel list of needed extensions.
      (Closes: #460384)
  * debian/rules:
    - Remove build-stamp on clean
  
 -- Arjan Oosting <arjan@debian.org>  Sun, 13 Jan 2008 07:17:32 +0100

haskell-uulib (0.9.3~snapshot20071230-1) unstable; urgency=low

  * New upstream snapshot release:
      - Many functions, like delete and insertMany, were returning invalid
        multisets. Namely, multisets where zero-occurrences are explicitly
        modelled. This is incorrect, and they were fixed so that they return
        valid multisets.
      - There is also a fix to multiset unions which was handling
        overlapping elements incorrectly. The fix changes the strictness of
        this function however.
  * debian/control:
    - Bump build depency on haskell-devscripts to 0.6.0 which ships
      dh_haskell_depends and generates haddock API documentation.
    - Replace the XS-Vcs* with the now official Vcs* fields.
    - Add the new Homepage field.
    - Drop dctrl-tools from the Build-Depends as the mk-haskell-depends
      scripts, which needed it, is removed from the source package.
    - Bump Standards-Version to 3.7.3. No changes needed.
  * debian/mk-haskell-depends: 
    - Removed as haskell-devscripts now ships dh_haskell_depends
  * debian/rules:
    - Move package specific parts in variables at the top of the
      makefile.
    - dh_haskell_install does not install empty directories anymore and
      removes empty directories from the GHC package configuration
      file, so stop doing this manually.
    - dh_haskell also generates the haddock documentation so stop calling
      ./setup haddock
    - Replace the call to debian/mk-haskell-depends with a call to
      dh_haskell_depends.
    - Make ./configure executable before running it.
  
 -- Arjan Oosting <arjan@debian.org>  Sun, 30 Dec 2007 20:23:06 +0100

haskell-uulib (0.9.3~snapshot20070528-1) unstable; urgency=low

  * New upstream snapshot release.
  * debian/control:
    - Update XS-Vcs-* fields as the packages has moved to the pkg-haskell
      subversion archive.
  * debian/mk-haskell-depends:
    - Small cleanups.
  * Generate links to other API documentation packages:
    - debian/control:
      + Add libghc6-base-doc and libghc6-haskell98-doc to the
        Build-Depends-Indep so haddock can link to names in other
        packages.
      + Add libghc6-base-doc and libghc6-haskell98-doc to the Recommends
        of haskell-uulib-doc.

 -- Arjan Oosting <arjan@debian.org>  Mon, 28 May 2007 17:41:26 +0200

haskell-uulib (0.9.2+snapshot20070419-1) unstable; urgency=low

  * New upstream snapshot release:
    - Some haddock documentation has been added.
    - Compatibility fixes for GHC 6.6.
  * debian/patches/01_fix-for-ghc-6.6.dpatch: Dropped as the necessary
    fixes are included upstream.
  * debian/rules: 
    - Run configure before build.
    - Cleanup files generated by configure on clean.
  
 -- Arjan Oosting <arjan@debian.org>  Thu, 19 Apr 2007 15:14:04 +0200

haskell-uulib (0.9.2-7) unstable; urgency=low

  * debian/control:
    - Add XS-Vcs-Browser field.
    - Add ${misc:Depends} to all Depends fields.
    - Let haskell-uulib-doc recommend doc-base.
  
 -- Arjan Oosting <arjan@debian.org>  Thu, 19 Apr 2007 12:40:33 +0200

haskell-uulib (0.9.2-6) unstable; urgency=high

  * Fix FTBFS (Closes: #403091) hence urgency high:
    - A fixed cpphs (0.7-4) was uploaded which should fix the parse
      errors.
    - Added hugs to Build-Depends-Indep needed to build libhugs-uulib.  

 -- Arjan Oosting <arjan@debian.org>  Thu, 21 Dec 2006 13:49:10 +0100

haskell-uulib (0.9.2-5) unstable; urgency=low

  * debian/control: make libghc6-uulib-dev and libghc6-uulib-prof
    Architecture: any.
  * debian/mk-haskell-depends: update script to take installed package
    configuration files as arguments.
  * debian/rules:
    - Only remove empty directories which exists.
    - Correct paths to haddock generated files in the installed package
      configuration files.
    - Don't compress .haddock files so they can be used by haddock.
  * Stop using update-haskell-control and $ghc6_* variables, as it is not
    necessary and not using it simplifies the work for porters and for me.

 -- Arjan Oosting <arjan@debian.org>  Sat, 18 Nov 2006 16:24:30 +0100

haskell-uulib (0.9.2-4) unstable; urgency=low

  * debian/control.in: add dctrl-tools to Build-Depends as it is needed to
    generate the ${haskell:Depends}.
  * debian/mk-haskell-depends: fail if grep-dctrl is not available.
  
 -- Arjan Oosting <arjan@debian.org>  Thu, 19 Oct 2006 13:26:59 +0200

haskell-uulib (0.9.2-3) unstable; urgency=low

  * debian/control.in:
    - update maintainer email address.
    - add profiling version of the ghc6 libary.
  * debian/patches/01_fix-for-ghc-6.6.dpatch: add UndecidableInstances
    to .cabal file to fix build with GHC 6.6.
  * debian/rules: use debian/mk-haskell-depends to determine the
    ${haskell:Depends} substitution variable

 -- Arjan Oosting <arjan@debian.org>  Wed, 18 Oct 2006 00:23:21 +0200

haskell-uulib (0.9.2-2) unstable; urgency=low

  * Remove dh_make boilerplate cruft. (Thanks James Westby)
  * debian/copyright: update license information after email
    correspondence with upstream maintainer.
  * debian/control.in: added XS-Vcs-Svn field pointing to subversion
    archive which contains this package.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu,  5 Oct 2006 17:02:21 +0200

haskell-uulib (0.9.2-1) unstable; urgency=low

  * Initial release. (Closes: #376415)
  * Name the source package haskell-uulib to avoid confusion with uulib
    from uudeview and libconvert-uulib-perl. (Thanks Matej Vela) 

 -- Arjan Oosting <arjanoosting@home.nl>  Wed, 26 Jul 2006 12:34:51 +0200

